import request from '@/utils/request'
import {download} from '@/utils/request'

// 查询设备配置列表
export function listConfig(query) {
    return request({
        url: '/config/config/list',
        method: 'get',
        params: query
    })
}

// 查询设备配置详细
export function getConfig(id) {
    return request({
        url: '/config/config/' + id,
        method: 'get'
    })
}

// 新增设备配置
export function addConfig(data) {
    return request({
        url: '/config/config',
        method: 'post',
        data: data
    })
}

// 修改设备配置
export function updateConfig(data) {
    return request({
        url: '/config/config',
        method: 'put',
        data: data
    })
}

// 删除设备配置
export function delConfig(id) {
    return request({
        url: '/config/config/' + id,
        method: 'delete'
    })
}

// 导出设备配置
export function downloadConfig(data) {
    download(
        '/config/config/export',
        data,
        `config_${new Date().getTime()}.xlsx`)
}
